import { system, world } from "@minecraft/server";
import { sleep } from "./utils";
const LoreLine = '§r§2 Treecapitator';
export async function SetLore() {
    const players = world.getPlayers();
    for (const player of players) {
        const inv = player.inventory?.container;
        if (!inv)
            continue;
        for (let i = 0; i < inv.size; i++) {
            const item = inv.getItem(i);
            if (!item?.getTags().includes('minecraft:is_axe'))
                continue;
            const lore = item.getLore();
            if (lore.includes(LoreLine))
                continue;
            item.setLore(lore.concat(LoreLine));
            inv.setItem(i, item);
        }
        await sleep();
    }
    system.run(SetLore);
}
